
% EKUT-beamer-theme version v1.1.0-8-g69ef03a (Tue Nov 22 15:53:49 UTC 2022)
% from: https://gitlab.com/tue-umphy/templates/EKUT-beamer-theme
% latest changes: Yann Büchau (@nobodyinperson) - nobodyinperson@posteo.de


% EKUT-beamer-theme version v1.1.0-8-g69ef03a (Tue Nov 22 15:53:49 UTC 2022)
% from: https://gitlab.com/tue-umphy/templates/EKUT-beamer-theme
% latest changes: Yann Büchau (@nobodyinperson) - nobodyinperson@posteo.de

% written by Yann Büchau
% https://gitlab.com/tue-umphy/templates/EKUT-beamer-theme

%%%%%%%%%%%%%%%%
%%% Packages %%%
%%%%%%%%%%%%%%%%
\RequirePackage{etoolbox}
\RequirePackage{fontawesome}
\RequirePackage[export]{adjustbox}
\RequirePackage{calc}
% Custom Packages
\RequirePackage{EKUT-metadata}
\RequirePackage{EKUT-macros}

%%%%%%%%%%%%%%%%%%
%%% Base Theme %%%
%%%%%%%%%%%%%%%%%%
\useoutertheme{split}

%%%%%%%%%%%%%%%%
%%% Commands %%%
%%%%%%%%%%%%%%%%
\newcommand{\TwoFigureLayout}[3]{
  \hfill%
  \includegraphics
    [width=0.45\textwidth,height=0.8\textheight,keepaspectratio]
    {#1}%
  \hfill%
  \includegraphics
    [width=0.45\textwidth,height=0.8\textheight,keepaspectratio]
    {#2}%
  \hfill%
  \ifstrempty{#3}{}{
    \par%
    \vspace*{\fill}%
    #3%
    }
  }

\newcommand{\contact}{%
  {\renewcommand{\arraystretch}{1.5}
  \begin{tabular}{rl}
    \ifdefempty{\insertauthor}{}{&\bfseries \insertshortauthor \\}
    \ifdefempty{\theaddress}{}{\faicon{envelope} & \theaddress \\}
    \ifdefempty{\thetelephone}{}{\faicon{phone} & \thetelephone \\}
    \ifdefempty{\theemail}{}{\faicon{at} & \href{\theemaillink}{\theemail} \\}
    \ifdefempty{\thewebsite}{}{\faicon{globe} & \thewebsite \\}
    \ifdefempty{\thetwitter}{}{\faicon{twitter} &
        \href{https://twitter.com/\thetwitter}{@\thetwitter}\\}
    \ifdefempty{\thegitlab}{}{\faicon{gitlab} &
        \href{https://gitlab.com/\thegitlab}{@\thegitlab}\\}
    \ifdefempty{\thegithub}{}{\faicon{github} &
        \href{https://github.com/\thegithub}{@\thegithub}\\}
  \end{tabular}
  }
}

% adapted from https://tex.stackexchange.com/a/123125
\newcommand\ifratio[3]{%
\ifnum#1=169%
    \ifdim\beamer@paperwidth=16.00cm\relax%
        \ifdim\beamer@paperheight=9.00cm\relax #2 \else #3 \fi%
    \else #3 \fi%
\fi
\ifnum#1=1610%
    \ifdim\beamer@paperwidth=16.00cm\relax%
        \ifdim\beamer@paperheight=10.00cm\relax #2 \else #3 \fi%
    \else #3 \fi%
\fi
\ifnum#1=43%
    \ifdim\beamer@paperwidth=12.80cm\relax%
        \ifdim\beamer@paperheight=9.60cm\relax #2 \else #3 \fi%
    \else #3 \fi%
\fi%
\ifnum#1=54%
    \ifdim\beamer@paperwidth=12.50cm\relax%
        \ifdim\beamer@paperheight=10.00cm\relax #2 \else #3 \fi%
    \else #3 \fi%
\fi%
\ifnum#1=149%
    \ifdim\beamer@paperwidth=14.00cm\relax%
        \ifdim\beamer@paperheight=9.00cm\relax #2 \else #3 \fi%
    \else #3 \fi%
\fi%
\ifnum#1=32%
    \ifdim\beamer@paperwidth=13.50cm\relax%
        \ifdim\beamer@paperheight=9.00cm\relax #2 \else #3 \fi%
    \else #3 \fi%
\fi%
}

% text margins
\ifratio{43}
  {\setbeamersize{text margin left=10pt,text margin right=10pt}}{}
\ifratio{54}
  {\setbeamersize{text margin left=10pt,text margin right=10pt}}{}
\ifratio{32}
  {\setbeamersize{text margin left=20pt,text margin right=20pt}}{}
\ifratio{149}
  {\setbeamersize{text margin left=20pt,text margin right=20pt}}{}
\ifratio{169}
  {\setbeamersize{text margin left=25pt,text margin right=25pt}}{}
\ifratio{1610}
  {\setbeamersize{text margin left=25pt,text margin right=25pt}}{}

\newlength\titlelinesep
\setlength{\titlelinesep}{1em}

% Settings
\newcommand{\headlineheight}{\headheight}
\newcommand{\headlinelogowidth}{0.15\paperwidth}
\newcommand{\headlinelogoheight}{\headheight}
\newcommand{\headlinetitlewidth}{0.69\paperwidth}
\newcommand{\footlineheight}{0.05\pageheight}
\newcommand{\separationlineheight}{0.05em}

\def\insertframetitle{}

% commands
\newcommand{\imageintitle}[1]{%
  \verticallycenteredbox{\includegraphics[height=0.8\headheight]{#1}}%
  }

\newcommand{\separationline}
{
  {\noindent\rule[\baselineskip]{\paperwidth}{\separationlineheight}}
}

\setbeamertemplate{navigation symbols}{} % no navigation symbols

\defbeamertemplate*{headline}{} % headline-Format
{
% \vspace{0.5em}
\hbox{%
  % left logo
  \begin{beamercolorbox}
    [wd=\headlinelogowidth,ht=\headlineheight,left]{headline}%
    \vbox to \headlineheight{\vfil%
      \begin{adjustbox}{max size={\headlinelogowidth}{\headlineheight}}
        \centering
        \hbox{\hspace{1em}%
        \ifdefempty{\theleftheaderlogo}
          {\parbox{\headlinelogowidth}{~}}
          {\includegraphics[
            max width=\headlinelogowidth,max height=\headlinelogoheight,
            keepaspectratio
            ]{\theleftheaderlogo}%
            \hspace{1em}%
          }%
        }%
      \end{adjustbox}
    \vfil}
  \end{beamercolorbox}%
  \begin{beamercolorbox}[
      wd=\headlinetitlewidth,
      ht=\headlineheight,center]{headline}%
    \vbox to \headlineheight{\vfil%
      \begin{adjustbox}{max size={\headlinetitlewidth}{\headlineheight}}
        \centering
        \usebeamerfont{frametitle}
        \usebeamercolor[fg]{frametitle}
        \insertframetitle
      \end{adjustbox}
    \vfil}
  \end{beamercolorbox}%
  % right logo
  \begin{beamercolorbox}
    [wd=\headlinelogowidth,ht=\headlineheight,right]{headline}%
    \vbox to \headlineheight{\vfil%
      \begin{adjustbox}{max size={\headlinelogowidth}{\headlineheight}}
        \centering
        \hbox{\hspace{1em}%
        \ifdefempty{\therightheaderlogo}
          {\parbox{\headlinelogowidth}{~}}
          {\includegraphics[
            max width=\headlinelogowidth,max height=\headlinelogoheight,
            keepaspectratio
            ]{\therightheaderlogo}%
          \hspace{1em}%
          }%
        }%
      \end{adjustbox}
    \vfil}%
  \end{beamercolorbox}%
  }%
{\usebeamercolor[fg]{separation line}\separationline}
}

\newcommand{\barseparator}
  {{\bf\usebeamercolor[fg]{fine separation line}\textbar}}
\defbeamertemplate*{footline}{} % footline-Format
{
  \vspace{0.3em}
  {\usebeamercolor[bg]{separation line}\separationline}
  \vspace{1em}
  \hbox to \paperwidth{
    \hspace{0.5em}
    \hfill
    \ifdefempty{\thecopyrighticon}{}{\verticallycenteredbox{\includegraphics[height=\heightof{A}]{\thecopyrighticon}}}
    \ifdefempty{\thecopyrighttext}{}{\hfill\thecopyrighttext}
    % It's apparently quite hard to check if TWO commands result in something empty, so we do this weird double-if...
    \ifdefempty{\insertshortauthor}{}{\ifdefempty{\thecopyrighttext}{\ifdefempty{\thecopyrighticon}{}{\hfill\barseparator}}{\hfill\barseparator}\hfill \insertshortauthor}
    \ifdefempty{\insertshortinstitute}{}{\hfill \barseparator \hfill \insertshortinstitute}
    \ifdefempty{\insertshorttitle}{}{\hfill \barseparator \hfill \insertshorttitle}
    \ifdefempty{\theconference}{}{\hfill \barseparator \hfill \theconference}
    \hfill\barseparator\hfill\parbox{\widthof{999}}{\hfill\insertframenumber}
    \hfill
    \hspace{0.5em}
  }
}

\setbeamertemplate{title page}
{
  \thispagestyle{empty} % no page decoration
  \begin{center}
    \ifdefempty{\inserttitle}{}
      {{\usebeamerfont{title}\usebeamercolor[fg]{title}\inserttitle\\[\titlelinesep]}}%
    \ifdefempty{\insertsubtitle}{}
      {{\usebeamerfont{subtitle}\insertsubtitle\\[\titlelinesep]}}%
    \ifdefempty{\insertauthor}{}
      {{\usebeamerfont{author in title}\insertauthor}}%
    \ifdefempty{\thecoauthors}{}
      {{\usebeamerfont{coauthors in title}, \thecoauthors}\\[\titlelinesep]}%
    \ifdefempty{\insertinstitute}{}
      {\ifdefempty{\thecoauthors}{\\[\titlelinesep]}{}{\usebeamerfont{institute in title}\insertinstitute\\[\titlelinesep]}}%
    \ifdefempty{\theconference}{}
      {{\usebeamerfont{conference in title}\theconference\\[\titlelinesep]}}%
    \ifdefempty{\thesession}{}
      {{\usebeamerfont{session in title}\thesession\\[\titlelinesep]}}%
    \ifdefempty{\insertdate}{}{{\usebeamerfont{date in title}\insertdate}}%
    \ifdefempty{\thecopyrighticon}{}{\verticallycenteredbox
        {\hspace{1em}\includegraphics[height=\heightof{A}]{\thecopyrighticon}}}%
  \ifdefempty{\titlecontent}{}{
    \par
    \vspace{\titlelinesep}
    \thetitlecontent
  }
  \end{center}
}

